Package proton :: Class Url :: Class PartDescriptor

[frames] | no frames]

# Class PartDescriptor

source code

    object --+
             |
            Url.PartDescriptor

Instance Methods

__get__(self, obj, type=None) | source code

__init__(self, part) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__set__(self, obj, value) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, part)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)